plugins {
    id("chat-bot.java-conventions")
    application
}

group = "eu.jonahbauer.chat"
version = "0.1.0-SNAPSHOT"

val bots = project(":bots").subprojects

dependencies {
    implementation(project(":bot-api"))
    implementation(project(":management"))
    implementation(libs.bundles.jackson)
    implementation(libs.slf4j)

    runtimeOnly(libs.logback)

    bots.forEach {
        implementation(project(it.path))
    }
}

application {
    mainClass.set("eu.jonahbauer.chat.server.Main")
    mainModule.set("eu.jonahbauer.chat.server")
    applicationDefaultJvmArgs = listOf("--enable-preview")
}